/*
 * axe.c
 *
 * Last modified: <2008/08/08 09:05:06 +0900> By SUMIDA
 */
#include <SDL.h>
#include "system.h"
#include "texture.h"
#include "ship.h"
#include "shot.h"
#include "enemy.h"
#include "effect.h"

void axe_init(SHIP_INFO *info) {

	REPORT(format("info=%p, id=%d", info, info->id));
	info->sprite.dx = IntToReal(2);
	info->sprite.dy = IntToReal(-4);
}

void axe(SHIP_INFO *info, SHOT_MGR *shot_mgr, SHIP_INFO *ship) {

	info->sprite.dy += ACCELERATION;
}

void axe_term(SHIP_INFO *info) {
	REPORT(format("info=%p", info));
}

