/*
 * item.h
 *
 * Last modified: <2008/08/08 14:50:09 +0900> By SUMIDA
 */
#ifndef ITEM_H_INCLUDED
#define ITEM_H_INCLUDED

#include "ship.h"

#define ITEM_FLAG_POWERUP 0x0100
#define ITEM_FLAG_SPEEDUP 0x0200
#define ITEM_FLAG_MISSILE 0x0400
#define ITEM_FLAG_3WAY    0x0800
#define ITEM_FLAG_MASK    (ITEM_FLAG_POWERUP|ITEM_FLAG_SPEEDUP|ITEM_FLAG_MISSILE|ITEM_FLAG_3WAY)

typedef SHIP_FLAG ITEM_FLAG;
typedef SHIP_INFO ITEM_INFO;

extern void item_action(ITEM_INFO *item);

#endif
